Skip to main content

GetTransactionInfoById

POST

Query the transaction fee, block height by transaction id
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
valuestringrequired
Transaction ID (hash). Example: bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
idstring
feeinteger
blockNumberinteger
blockTimeStampinteger
contractResultarray
net_feeinteger
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/gettransactioninfobyid' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"value": "bd32eef7469d57011a092c59c745cab1e49c501e9f0ac15c580656f9ead1e319"
}'